# Read about fixtures at http://ar.rubyonrails.org/classes/Fixtures.html

root:
  id: 1
  parent_id: null
  name: /
  path: /
  node_type: 0
  mtime: 2007-09-28T14:56:43+0900
  owner_id: 1
  other_mode: 4
  other_readable: true
  groups_readable: -1

samples:
  id: 2
  parent_id: 1
  name: samples
  path: /samples
  node_type: 0
  mtime: 2007-09-28T14:56:43+0900
  owner_id: 1
  other_mode: 4
  other_readable: true
  groups_readable: -1

reanalysis:
  id: 3
  parent_id: 2
  name: reanalysis
  path: /samples/reanalysis
  node_type: 0
  mtime: 2007-09-28T14:56:43+0900
  owner_id: 1
  other_mode: 4
  other_readable: true
  groups_readable: -1

ncep:
  id: 4
  parent_id: 3
  name: ncep
  path: /samples/reanalysis/ncep
  node_type: 0
  mtime: 2007-09-28T14:56:43+0900
  owner_id: 2
  other_mode: 4
  other_readable: true
  groups_readable: -1

ncep_t_jan:
  id: 5
  parent_id: 4
  name: T.jan.nc
  path: /samples/reanalysis/ncep/T.jan.nc
  node_type: 0
  mtime: 2007-09-28T14:56:43+0900
  owner_id: 2
  other_mode: 4
  other_readable: true
  groups_readable: -1

ncep_t_jan_t:
  id: 6
  parent_id: 5
  name: T
  path: /samples/reanalysis/ncep/T.jan.nc/T
  node_type: 1
  mtime: 2007-09-28T14:56:43+0900
  owner_id: 2
  other_mode: 4
  file: /samples/reanalysis/ncep/T.jan.nc
  other_readable: true
  groups_readable: -1

ncep_uv_jan:
  id: 7
  parent_id: 4
  name: UV.jan.nc
  path: /samples/reanalysis/ncep/UV.jan.nc
  node_type: 0
  mtime: 2007-09-28T14:56:43+0900
  owner_id: 1
  other_mode: 4
  other_readable: true
  groups_readable: -1

ncep_uv_jan_u:
  id: 8
  parent_id: 7
  name: U
  path: /samples/reanalysis/ncep/UV.jan.nc/U
  node_type: 1
  mtime: 2007-09-28T14:56:43+0900
  owner_id: 1
  other_mode: 4
  file: /samples/reanalysis/ncep/UV.jan.nc
  other_readable: true
  groups_readable: -1

ncep_uv_jan_v:
  id: 9
  parent_id: 7
  name: V
  path: /samples/reanalysis/ncep/UV.jan.nc/V
  node_type: 1
  mtime: 2007-09-28T14:56:43+0900
  owner_id: 1
  other_mode: 4
  file: /samples/reanalysis/ncep/UV.jan.nc
  other_readable: true
  groups_readable: -1

era:
  id: 10
  parent_id: 3
  name: era40
  path: /samples/reanalysis/era40
  node_type: 0
  mtime: 2007-09-28T14:56:43+0900
  owner_id: 1
  other_mode: 0
  rgroups: <%= "0b100000".to_i(2) %>  # Group with id=6 (ncep)
  wgroups: <%= "0b100000".to_i(2) %>  # Group with id=6 (ncep)
  other_readable: false
  groups_readable: <%= "0b100000".to_i(2) %>

era_t:
  id: 11
  parent_id: 10
  name: t.nc
  path: /samples/reanalysis/era40/t.nc
  node_type: 0
  mtime: 2007-09-28T14:56:43+0900
  owner_id: 1
  other_mode: 4
  other_readable: false
  groups_readable: <%= "0b100000".to_i(2) %>

era_t_t:
  id: 12
  parent_id: 11
  name: t
  path: /samples/reanalysis/era40/t.nc/t
  node_type: 1
  mtime: 2007-09-28T14:56:43+0900
  owner_id: 1
  other_mode: 4
  file: /samples/reanalysis/era40/t.nc
  other_readable: false
  groups_readable: <%= "0b100000".to_i(2) %>

usr:
  id: 13
  parent_id: 1
  name: usr
  path: /usr
  node_type: 0
  mtime: 2007-09-28T14:56:43+0900
  owner_id: 1
  other_mode: 4
  other_readable: true
  groups_readable: -1

bob:
  id: 14
  parent_id: 13
  name: bob
  path: /usr/bob
  node_type: 0
  mtime: 2007-09-28T14:56:43+0900
  owner_id: 2
  other_mode: 4
  other_readable: true
  groups_readable: -1

bob_image:
  id: 15
  parent_id: 14
  name: image.png
  path: /usr/bob/image.png
  node_type: 2
  mtime: 2007-09-28T14:56:43+0900
  owner_id: 2
  other_mode: 4
  other_readable: true
  groups_readable: -1

bob_hidden_image:
  id: 16
  parent_id: 14
  name: hidden_image.png
  path: /usr/bob/hidden_image.png
  node_type: 2
  mtime: 2007-09-28T14:56:43+0900
  owner_id: 2
  other_mode: 0
  rgroups: <%= "0b10000".to_i(2) %> # Group with id=5 (bobs)
  wgroups: <%= "0b10000".to_i(2) %> # Group with id=5 (bobs)
  other_readable: false
  groups_readable: <%= "0b10000".to_i(2) %>

ncep_t_jan_zonal_mean:
  id: 17
  parent_id: 4
  name: T.jan.zonal_mean.nc
  path: /samples/reanalysis/ncep/T.jan.zonal_mean.nc
  node_type: 0
  mtime: 2007-09-28T14:56:43+0900
  owner_id: 1
  other_mode: 4
  other_readable: true
  groups_readable: -1

ncep_t_jan_zonal_mean_t:
  id: 18
  parent_id: 17
  name: T_mean
  path: /samples/reanalysis/ncep/T.jan.zonal_mean.nc/T_mean
  file: /samples/reanalysis/ncep/T.jan.zonal_mean.nc
  node_type: 1
  mtime: 2007-09-28T14:56:43+0900
  owner_id: 1
  other_mode: 4
  other_readable: true
  groups_readable: -1

ncep_t_jan_100hPa_image:
  id: 19
  parent_id: 4
  name: T.jan.100hPa.png
  path: /samples/reanalysis/ncep/T.jan.100hPa.png
  node_type: 2
  mtime: 2007-09-28T14:56:43+0900
  owner_id: 1
  other_mode: 4
  other_readable: true
  groups_readable: -1

knowledge_bob:
  id: 20
  parent_id: 14
  name: knowledge
  path: /usr/bob/knowledge
  node_type: 1
  mtime: 2007-09-28T14:56:43+0900
  owner_id: 2
  other_mode: 4
  other_readable: true
  groups_readable: -1

knowledge_ncep_t_jan_100hPa_image:
  id: 21
  parent_id: 20
  name: t_jan_100hPa
  path: /usr/bob/knowledge/t_jan_100hPa
  node_type: 3
  mtime: 2007-09-28T14:56:43+0900
  owner_id: 2
  other_mode: 4
  other_readable: true
  groups_readable: -1

function_bob:
  id: 40
  parent_id: 14
  name: functions
  path: /usr/bob/functions
  node_type: 1
  mtime: 2007-09-28T14:56:43+0900
  owner_id: 2
  other_mode: 4
  other_readable: true
  groups_readable: -1

function_bob_mean:
  id: 41
  parent_id: 40
  name: mean
  path: /usr/bob/functions/mean
  node_type: 4
  mtime: 2007-09-28T14:56:43+0900
  owner_id: 2
  other_mode: 4
  other_readable: true
  groups_readable: -1

function_bob_stddev:
  id: 42
  parent_id: 40
  name: stddev
  path: /usr/bob/functions/stddev
  node_type: 4
  mtime: 2007-09-28T14:56:43+0900
  owner_id: 2
  other_mode: 4
  other_readable: true
  groups_readable: -1

function_bob_addition:
  id: 43
  parent_id: 40
  name: addition
  path: /usr/bob/functions/addition
  node_type: 4
  mtime: 2007-09-28T14:56:43+0900
  owner_id: 2
  other_mode: 4
  other_readable: true
  groups_readable: -1

draw_method_bob:
  id: 60
  parent_id: 14
  name: draw_methods
  path: /usr/bob/draw_methods
  node_type: 1
  mtime: 2007-09-28T14:56:43+0900
  owner_id: 2
  other_mode: 4
  other_readable: true
  groups_readable: -1

draw_method_bob_line:
  id: 61
  parent_id: 60
  name: line
  path: /usr/bob/draw_methods/line
  node_type: 5
  mtime: 2007-09-28T14:56:43+0900
  owner_id: 2
  other_mode: 4
  other_readable: true
  groups_readable: -1

user_root:
  id: 62
  parent_id: 13
  name: root
  path: /usr/root
  node_type: 0
  mtime: 2007-09-28T14:56:43+0900
  owner_id: 1
  other_mode: 4
  other_readable: true
  groups_readable: -1

functions_root:
  id: 63
  parent_id: 62
  name: functions
  path: /usr/root/functions
  node_type: 0
  mtime: 2007-09-28T14:56:43+0900
  owner_id: 1
  other_mode: 4
  other_readable: true
  groups_readable: -1

function_root_mean:
  id: 64
  parent_id: 63
  name: mean
  path: /usr/root/functions/mean
  node_type: 4
  mtime: 2007-09-28T14:56:43+0900
  owner_id: 1
  other_mode: 4
  other_readable: true
  groups_readable: -1

draw_methods_root:
  id: 65
  parent_id: 62
  name: draw_methods
  path: /usr/root/draw_methods
  node_type: 0
  mtime: 2007-09-28T14:56:43+0900
  owner_id: 1
  other_mode: 4
  other_readable: true
  groups_readable: -1

draw_method_root_tone:
  id: 66
  parent_id: 65
  name: tone_contour
  path: /usr/root/draw_methods/tone_contour
  node_type: 5
  mtime: 2007-09-28T14:56:43+0900
  owner_id: 1
  other_mode: 4
  other_readable: true
  groups_readable: -1

draw_method_root_vector:
  id: 67
  parent_id: 65
  name: vector
  path: /usr/root/draw_methods/vector
  node_type: 5
  mtime: 2007-09-28T14:56:43+0900
  owner_id: 1
  other_mode: 4
  other_readable: true
  groups_readable: -1

jmadata:
  id: 68
  parent_id: 2
  name: jmadata
  path: /samples/jmadata
  node_type: 0
  mtime: 2007-09-28T14:56:43+0900
  owner_id: 1
  other_mode: 4
  other_readable: true
  groups_readable: -1

jmadata_MSM_P:
  id: 69
  parent_id: 68
  name: MSM-P
  path: /samples/jmadata/MSM-P
  node_type: 0
  mtime: 2007-09-28T14:56:43+0900
  owner_id: 1
  other_mode: 4
  other_readable: true
  groups_readable: -1

jmadata_MSM_P_2006:
  id: 70
  parent_id: 69
  name: 2006
  path: /samples/jmadata/MSM-P/2006
  node_type: 0
  mtime: 2007-09-28T14:56:43+0900
  owner_id: 1
  other_mode: 4
  other_readable: true
  groups_readable: -1

jmadata_MSM_P_2006_010_1_3:
  id: 71
  parent_id: 70
  name: 010[1-3].nc
  path: /samples/jmadata/MSM-P/2006/010[1-3].nc
  file: nil
  node_type: 0
  mtime: 2007-09-28T14:56:43+0900
  owner_id: 1
  other_mode: 4
  other_readable: true
  groups_readable: -1

jmadata_MSM_P_2006_0101_3_temp:
  id: 72
  parent_id: 71
  name: temp
  path: /samples/jmadata/MSM-P/2006/010[1-3].nc/temp
  node_type: 1
  mtime: 2007-09-28T14:56:43+0900
  owner_id: 1
  other_mode: 4
  other_readable: true
  groups_readable: -1


